WAPUA(1p)

NAME
wApua - web browser for WAP WML pages

SYNOPSIS

wApua [-f configfile] [-d debuglevel] [starturl]
wApua (-h|--help|--usage)

DESCRIPTION
wApua is a browser for WAP (Wireless Application Protocol) pages written in the Wireless Markup Language (WML). It supports WML 1.1 and 1.2 except forms.

It is written in Perl and uses the Perl/Tk library for its GUI and libwww-perl for the network parts. So it supports all transport protocols, libwww-perl (LWP) supports.

OPTIONS

-h, --help, --usage
    Shows a summary of options.

-v,  --version
    Shows the version of wApua.

-d n, --debug=n
    Sets the level of debug output to n.

CONFIGURATION
The system-wide default configuration can be changed in wApua::Config

Per-user configuration can be done by creating a .wApuarc file on Linux and other UNIX derivatives or clones or a wApua.ini file on Windows and MacOS 9 in your home directory.

See the example configuration wApua.rc which comes with wApua.

SEE ALSO
wbmp2xbm(1p), LWP(3pm).

The wApua FAQ at <http://fsinfo.noone.org/~abe/wApua/FAQ.html>

KNOWN BUGS

Under some not yet exactly known circumstances, fetching a document from the internal cache takes very long.

TODO
Supporting WML forms
Global configuration file

COPYRIGHT
Copyright (C) 2000, 2006, 2009 by Axel Beckert <wapua@deuxchevaux.org>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, USA.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL. It also came with wApua in the file COPYING.

AUTHOR
wApua was written by Axel Beckert <wapua@deuxchevaux.org>

THANKS
Thanks to Jindra Vavruska <ok1fou@yahoo.com> for many bug reports and suggestions.